@if(isOpen){
<div class="animate-fadeIn fixed inset-0 z-50 bg-white flex flex-col">
  <div class="flex justify-between py-4 px-6 border-b-2">
    <p class="text-sm w-11/12">{{ reservation_name }}</p>
    <button (click)="close()"><i class="fa-solid fa-xmark text-lg"></i></button>
  </div>
  <div class="overflow-y-auto flex-grow px-2">
    @for(date of reservationDates; track date){
      <div class="mx-2 my-8">
        <p class="font-medium text-lg mb-3">{{ date | date: 'EEEE d MMMM' }}</p>
        @for(reservation of groupedReservations[date]; track reservation){
          <div class="border-2 rounded-lg p-4 mb-2">
            <div class="flex justify-between mb-2">
              <div class="flex gap-2 items-center text-lg">
                <p>{{ formatTime(reservation.start_time) | date: 'HH:mm' }}</p>
                <i class="fa-solid fa-arrow-right"></i>
                <p>{{ formatTime(reservation.end_time) | date: 'HH:mm' }}</p>
              </div>
              <app-button class="text-xs" [buttonText]="'Réserver'" (buttonClick)="navigateToBooking(reservation.ID_reservation_date)"></app-button>
            </div>
            <p class="text-sm text-gray-500">{{ reservation.available_places }} places disponibles</p>
          </div>
        }
      </div>
    }
  </div>
</div>
}